import http from '@/api/http';
import FyreHostConfig from '@/components/FyreHostConfig';
import { ServerContext } from '@/state/server';
import React from 'react';
import tw from 'twin.macro';
import { ModFile } from './types';

interface Props {
    file: ModFile;
}

export default ({ file }: Props) => {
    const uuid = ServerContext.useStoreState((state) => state.server.data!.uuid);

    async function downloadPlugin() {
        let downloadUrl = file.downloadUrl;

        downloadUrl = downloadUrl.replace(' ', '+');

        downloadUrl = downloadUrl.replace('edge', 'media');

        http.post(`/api/client/servers/${uuid}/files/pull`, {
            url: downloadUrl,
            directory: 'mods/',
        });
    }

    return (
        <>
            <div style={{ backgroundColor: FyreHostConfig.style.primaryColor }} css={tw`rounded-lg grid p-4`}>
                <div css={tw`mx-auto`}>Version: {file.displayName}</div>
                <div css={tw`mx-auto`}>Downloads: {file.downloadCount.toLocaleString(undefined)}</div>
                <button css={FyreHostConfig.style.buttonInstall} onClick={downloadPlugin}>
                    {'Install'}
                </button>
            </div>
        </>
    );
};
